## cld2 1.0

=== DESCRIPTION ===
Package: cld2
Type: Package
Title: Google's Compact Language Detector 2
Version: 1.0
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Dirk Sites", role = "cph", comment = "Author of CLD2 C++ library")
  )
Description: Bindings to Google's C++ library Compact Language Detector 2
    (see <https://github.com/CLD2Owners/cld2#readme> for more information). Probabilistically
    detects over 80 languages in UTF-8 text (plain text or HTML). For mixed-language input it
    returns the top three languages and their approximate proportion of the total classified 
    text bytes (e.g. 80% English and 20% French out of 1000 bytes). 
License: Apache License 2.0
Encoding: UTF-8
LazyData: true
URL: https://github.com/ropensci/cld2 (devel)
        https://github.com/CLD2Owners/cld2 (upstream)
Imports: Rcpp
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2017-06-03 18:29:28 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Dirk Sites [cph] (Author of CLD2 C++ library)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-06-03 18:40:04 UTC

## cld2 0.0.0~svn194

=== debian/changelog ===
cld2 (0.0.0~svn194-1) unstable; urgency=low

  * Initial release (Closes: #777588).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 10 Feb 2015 10:12:04 +0100

=== debian/control ===
Source: cld2
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Build-Depends: cmake, debhelper (>=9)
Standards-Version: 3.9.6
Homepage: https://code.google.com/p/cld2/
Vcs-Git: git://anonscm.debian.org/collab-maint/cld2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cld2.git

Package: libcld2-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Compact Language Detector 2, library package
 Detects over 80 languages in UTF-8 text, based largely on groups
 of four letters.
 Also tables for 160+ language version.
 .
 This is the Library package.

Package: libcld2-dev
Section: libdevel
Architecture: any
Depends: libcld2-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Compact Language Detector 2, development package
 Detects over 80 languages in UTF-8 text, based largely on groups
 of four letters.
 Also tables for 160+ language version.
 .
 This is the development package.

## cld2 0.0.0~svn196

=== debian/changelog ===
cld2 (0.0.0~svn196-1) unstable; urgency=medium

  * New upstream snapshot:
    - added some more arm* supported archs.
    - compress huge files, in preparation to github move.
  * Update my uid
  * d/p/add-cmake-file.patch: update VERSION variable.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Jul 2015 10:59:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: cmake, debhelper (>=9)
 Standards-Version: 3.9.6
 Homepage: https://code.google.com/p/cld2/

## cld2 0.0.0-git20150806

=== debian/changelog ===
cld2 (0.0.0-git20150806-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #869493)

  [ Gianfranco Costamagna ]
  * Bump compat level to 10
  * Bump std-version to 4.0.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Jul 2017 20:13:07 +0200

cld2 (0.0.0-git20150806-5) unstable; urgency=medium

  * Fix another typo in VCS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jul 2016 17:41:06 +0200

cld2 (0.0.0-git20150806-4) unstable; urgency=medium

  * Bump std-version to 3.9.8
  * Fix VCS fields in secure mode.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jul 2016 09:10:10 +0200

cld2 (0.0.0-git20150806-3) unstable; urgency=medium

  [ Ai Lin Chia ]
  * build with c++98 (Closes: #811761)
    thanks alc-privacore for the help!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jun 2016 15:30:36 +0200

cld2 (0.0.0-git20150806-2) unstable; urgency=medium

  * Remove symbols file, it fails on too many archs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Aug 2015 13:31:55 +0200

cld2 (0.0.0-git20150806-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add README.md file.
  * Update version patch.
  * Update docs for the github move.
  * Add symbols file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Aug 2015 12:51:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: cmake, debhelper (>=9)
-Standards-Version: 3.9.6
-Homepage: https://code.google.com/p/cld2/
-Vcs-Git: git://anonscm.debian.org/collab-maint/cld2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cld2.git
+Build-Depends: cmake, debhelper (>=10)
+Standards-Version: 4.0.0
+Homepage: https://github.com/CLD2Owners/cld2/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/cld2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cld2.git
 
 Package: libcld2-0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_CPPFLAGS_MAINT_APPEND = -std=c++98

%:
	dh $@

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
override_dh_auto_test:
	cd obj-* && echo "this is some english text" | ./compact_lang_det_test_chrome_2
	cd obj-* && echo "this is some english text" | ./compact_lang_det_test_chrome_16
	cd obj-* && ./cld2_unittest_chrome_2 > /dev/null
	cd obj-* && ./cld2_unittest_avoid_chrome_2 > /dev/null
	cd obj-* && echo "this is some english text" | ./compact_lang_det_test_full
	cd obj-* && ./cld2_unittest_full > /dev/null
	cd obj-* && ./cld2_unittest_full_avoid > /dev/null
	cd obj-* && ./cld2_dynamic_data_tool --dump cld2_data.bin
	cd obj-* && ./cld2_dynamic_data_tool --verify cld2_data.bin
	cd obj-* && echo "this is some english text" | ./compact_lang_det_dynamic_test_chrome --data-file cld2_data.bin
	cd obj-* && ./cld2_dynamic_unittest --data-file cld2_data.bin > /dev/null
endif

## cld2 1.1

=== DESCRIPTION ===
Package: cld2
Type: Package
Title: Google's Compact Language Detector 2
Version: 1.1
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Dirk Sites", role = "cph", comment = "Author of CLD2 C++ library")
  )
Description: Bindings to Google's C++ library Compact Language Detector 2
    (see <https://github.com/cld2owners/cld2#readme> for more information). Probabilistically
    detects over 80 languages in plain text or HTML. For mixed-language input it returns the
    top three detected languages and their approximate proportion of the total classified 
    text bytes (e.g. 80% English and 20% French out of 1000 bytes). There is also a 'cld3'
    package on CRAN which uses a neural network model instead.
License: Apache License 2.0
Encoding: UTF-8
LazyData: true
URL: https://github.com/ropensci/cld2 (devel)
        https://github.com/cld2owners/cld2 (upstream)
Imports: Rcpp
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat, readtext, cld3
NeedsCompilation: yes
Packaged: 2017-06-10 10:17:12 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Dirk Sites [cph] (Author of CLD2 C++ library)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-06-10 15:57:22 UTC

## cld2 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: cld2
 Type: Package
 Title: Google's Compact Language Detector 2
-Version: 1.1
+Version: 1.2
 Authors@R: c(
-    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
-    person("Dirk Sites", role = "cph", comment = "Author of CLD2 C++ library")
-  )
+    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre"),
+      comment = c(ORCID = "0000-0002-4035-0289")),
+    person("Dirk Sites", role = "cph", comment = "Author of CLD2 C++ library"))
 Description: Bindings to Google's C++ library Compact Language Detector 2
     (see <https://github.com/cld2owners/cld2#readme> for more information). Probabilistically
     detects over 80 languages in plain text or HTML. For mixed-language input it returns the
@@ -22,9 +22,9 @@
 RoxygenNote: 6.0.1
 Suggests: testthat, readtext, cld3
 NeedsCompilation: yes
-Packaged: 2017-06-10 10:17:12 UTC; jeroen
-Author: Jeroen Ooms [aut, cre],
+Packaged: 2018-05-10 10:43:18 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Dirk Sites [cph] (Author of CLD2 C++ library)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2017-06-10 15:57:22 UTC
+Date/Publication: 2018-05-11 15:26:34 UTC

## cld2 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cld2
 Type: Package
 Title: Google's Compact Language Detector 2
-Version: 1.2
+Version: 1.2.1
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre"),
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -15,16 +15,17 @@
 License: Apache License 2.0
 Encoding: UTF-8
 LazyData: true
-URL: https://github.com/ropensci/cld2 (devel)
+URL: https://docs.ropensci.org/cld2/ (docs)
+        https://github.com/ropensci/cld2 (devel)
         https://github.com/cld2owners/cld2 (upstream)
 Imports: Rcpp
 LinkingTo: Rcpp
 RoxygenNote: 6.0.1
 Suggests: testthat, readtext, cld3
 NeedsCompilation: yes
-Packaged: 2018-05-10 10:43:18 UTC; jeroen
+Packaged: 2020-12-09 15:47:33 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Dirk Sites [cph] (Author of CLD2 C++ library)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2018-05-11 15:26:34 UTC
+Date/Publication: 2020-12-15 22:50:09 UTC

## cld2 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cld2
 Type: Package
 Title: Google's Compact Language Detector 2
-Version: 1.2.1
+Version: 1.2.2
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre"),
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -14,7 +14,6 @@
     package on CRAN which uses a neural network model instead.
 License: Apache License 2.0
 Encoding: UTF-8
-LazyData: true
 URL: https://docs.ropensci.org/cld2/ (docs)
         https://github.com/ropensci/cld2 (devel)
         https://github.com/cld2owners/cld2 (upstream)
@@ -23,9 +22,9 @@
 RoxygenNote: 6.0.1
 Suggests: testthat, readtext, cld3
 NeedsCompilation: yes
-Packaged: 2020-12-09 15:47:33 UTC; jeroen
+Packaged: 2022-09-24 13:36:01 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Dirk Sites [cph] (Author of CLD2 C++ library)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-12-15 22:50:09 UTC
+Date/Publication: 2022-09-25 15:10:09 UTC

## cld2 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cld2
 Type: Package
 Title: Google's Compact Language Detector 2
-Version: 1.2.2
+Version: 1.2.3
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre"),
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -22,9 +22,9 @@
 RoxygenNote: 6.0.1
 Suggests: testthat, readtext, cld3
 NeedsCompilation: yes
-Packaged: 2022-09-24 13:36:01 UTC; jeroen
+Packaged: 2022-10-01 23:10:53 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Dirk Sites [cph] (Author of CLD2 C++ library)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-09-25 15:10:09 UTC
+Date/Publication: 2022-10-02 02:40:02 UTC

## cld2 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cld2
 Type: Package
 Title: Google's Compact Language Detector 2
-Version: 1.2.3
+Version: 1.2.4
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre"),
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -22,9 +22,9 @@
 RoxygenNote: 6.0.1
 Suggests: testthat, readtext, cld3
 NeedsCompilation: yes
-Packaged: 2022-10-01 23:10:53 UTC; jeroen
+Packaged: 2022-10-26 15:58:54 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Dirk Sites [cph] (Author of CLD2 C++ library)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-10-02 02:40:02 UTC
+Date/Publication: 2022-10-26 23:05:06 UTC

## cld2 1.2.5

=== DESCRIPTION ===
Package: cld2
Type: Package
Title: Google's Compact Language Detector 2
Version: 1.2.5
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroenooms@gmail.com", role = c("aut", "cre"),
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Dirk Sites", role = "cph", comment = "Author of CLD2 C++ library"))
Description: Bindings to Google's C++ library Compact Language Detector 2
    (see <https://github.com/cld2owners/cld2#readme> for more information). Probabilistically
    detects over 80 languages in plain text or HTML. For mixed-language input it returns the
    top three detected languages and their approximate proportion of the total classified 
    text bytes (e.g. 80% English and 20% French out of 1000 bytes). There is also a 'cld3'
    package on CRAN which uses a neural network model instead.
License: Apache License 2.0
Encoding: UTF-8
URL: https://docs.ropensci.org/cld2/
        https://ropensci.r-universe.dev/cld2
BugReports: https://github.com/ropensci/cld2/issues
Imports: Rcpp
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat, readtext, cld3
NeedsCompilation: yes
Packaged: 2024-10-03 14:12:25 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Dirk Sites [cph] (Author of CLD2 C++ library)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 12:40:09 UTC

## cld2 1.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cld2
 Type: Package
 Title: Google's Compact Language Detector 2
-Version: 1.2.5
+Version: 1.2.6
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroenooms@gmail.com", role = c("aut", "cre"),
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -22,9 +22,9 @@
 RoxygenNote: 6.0.1
 Suggests: testthat, readtext, cld3
 NeedsCompilation: yes
-Packaged: 2024-10-03 14:12:25 UTC; jeroen
+Packaged: 2025-03-22 19:58:34 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Dirk Sites [cph] (Author of CLD2 C++ library)
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-10-04 12:40:09 UTC
+Date/Publication: 2025-03-22 20:30:17 UTC
